//
//  AttributedString+Trim.swift
//  Tusker
//
//  Created by Shadowfacts on 8/29/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

extension NSMutableAttributedString {
    
    func trimTrailingCharactersInSet(_ charSet: CharacterSet) {
        var range = (string as NSString).rangeOfCharacter(from: charSet)
        
//        while range.length != 0 && range.location == 0 {
//            replaceCharacters(in: range, with: "")
//            range = (string as NSString).rangeOfCharacter(from: charSet)
//        }
        
        range = (string as NSString).rangeOfCharacter(from: charSet, options: .backwards)
        while range.length != 0 && range.length + range.location == length {
            replaceCharacters(in: range, with: "")
            range = (string as NSString).rangeOfCharacter(from: charSet, options: .backwards)
        }
    }
    
}
