//
//  Tab.swift
//  Tusker
//
//  Created by Shadowfacts on 10/2/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

enum Tab: String, Codable, CaseIterable {
    case home
    case federated
    case local
    case myProfile
    case notifications
    case preferences
    
    var humanName: String {
        switch self {
        case .home:
            return "Home"
        case .federated:
            return "Federated"
        case .local:
            return "Local"
        case .myProfile:
            return "My Profile"
        case .notifications:
            return "Notifications"
        case .preferences:
            return "Preferences"
        }
    }
}
