//
//  DraftsTableViewCell.swift
//  Tusker
//
//  Created by Shadowfacts on 10/22/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import UIKit

class DraftTableViewCell: UITableViewCell {

    @IBOutlet weak var contentLabel: UILabel!
    @IBOutlet weak var lastModifiedLabel: UILabel!
    
    func updateUI(for draft: DraftsManager.Draft) {
        contentLabel.text = draft.text
        lastModifiedLabel.text = draft.lastModified.timeAgoString()
    }

}
